Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Interface Result

All Known Implementing Classes:
  AbstractResult, ResultSetResult

public interface Result

A result from the execution of a query or stored procedure. This interface is aligned closely with the `ResultSet`, so you can expect like-named methods to have similar semantics. However, the interface has been distilled and simplified, so a result object could easily mask information sources other than a result set.

For more flexible customization of data loading, see the `com.solarmetric.kodo.runtime.rop.PCResultObjectProvider`.

See Also:
  `ResultSetResult`

Method Summary
`boolean` | `absolute(int row)` Move to the given 0-based row in the result, or return false if the row does not exist.
`void` | `close()` Free the resources used by this result; do not close the SQL connection.
`boolean` | `contains(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return true if the given column is available in the result.
`java.sql.Array` | `getArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.io.InputStream` | `getAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.math.BigDecimal` | `getBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.math.BigInteger` | `getBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.io.InputStream` | `getBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.sql.Blob` | `getBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`boolean` | `getBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`byte` | `getByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`byte[]` | `getBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`char` | `getChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.io.Reader` | `getCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.sql.Clob` | `getClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.sql.Connection` | `getConnection()` Return the connection that was given to the method that returned this result.
`java.util.Date` | `getDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.sql.Date` | `getDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Calendar cal)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`double` | `getDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`float` | `getFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.util.Map` | `getImplData(boolean create)` Return a mutable view of arbitrary implementation data associated with this result, optionally creating a new map if none exists.
`int` | `getInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.util.Locale` | `getLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`long` | `getLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.lang.Object` | `getObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, int metaTypeCode, java.lang.Object arg)` Return the value stored in the given column.
`java.lang.Object` | `getObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Map map)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.sql.Ref` | `getRef(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Map map)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`short` | `getShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.lang.String` | `getString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the value stored in the given column.
`java.sql.Time` | `getTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Calendar cal)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`java.sql.Timestamp` | `getTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Calendar cal)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`boolean` | `next()` Advance to the next row, or return false if there are no more rows in the result.
`void` | `setFetchBatchSize(int size)` Set the fetch size, or 0 for default.
`int` | `size()` Return the number of rows in this result.
`boolean` | `supportsRandomAccess()` Return true if the result supports random access.
`boolean` | `wasNull()` Return true if the last value fetched was null.

Method Detail

### getImplData

    public java.util.Map getImplData(boolean create)

  Return a mutable view of arbitrary implementation data associated with this result, optionally creating a new map if none exists. All results found as values in the impl data will automatically be closed by this result when it is closed.

### getConnection

    public java.sql.Connection getConnection()

  Return the connection that was given to the method that returned this result.

### close

    public void close()

  Free the resources used by this result; do not close the SQL connection.

### supportsRandomAccess

    public boolean supportsRandomAccess()
                                 throws java.sql.SQLException

  Return true if the result supports random access.

    `java.sql.SQLException`

### setFetchBatchSize

    public void setFetchBatchSize(int size)
                           throws java.sql.SQLException

  Set the fetch size, or 0 for default.

    `java.sql.SQLException`

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Move to the given 0-based row in the result, or return false if the row does not exist. This method will only be called if the result supports random access.

    `java.sql.SQLException`

### next

    public boolean next()
                 throws java.sql.SQLException

  Advance to the next row, or return false if there are no more rows in the result.

    `java.sql.SQLException`

### size

    public int size()
             throws java.sql.SQLException

  Return the number of rows in this result.

    `java.sql.SQLException`

### contains

    public boolean contains(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                     throws java.sql.SQLException

  Return true if the given column is available in the result.

    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                            throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                                       throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                                       throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getBigInteger

    public java.math.BigInteger getBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                                       throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                                        throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                          throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                       throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getByte

    public byte getByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                 throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                    throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getChar

    public char getChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                 throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                                      throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                          throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getDate

    public java.util.Date getDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                           throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getDouble

    public double getDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                     throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getFloat

    public float getFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                   throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getInt

    public int getInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
               throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getLocale

    public java.util.Locale getLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                               throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getLong

    public long getLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                 throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                      int metaTypeCode,
                                      java.lang.Object arg)
                               throws java.sql.SQLException

  Return the value stored in the given column.

  Parameters:
    `col` - the column whose data to fetch
    `arg` - some JDBC data access methods use an argument, such as a `Calendar` or `Map`
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                               java.util.Map map)
                        throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getShort

    public short getShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                   throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getString

    public java.lang.String getString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                               throws java.sql.SQLException

  Return the value stored in the given column.

    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Return true if the last value fetched was null.

    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.